# $Revision: 1.13 $, $Date: 2004/05/06 18:20:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	LP-Solve
Summary:	Math::LP::Solve - Perl wrapper for the lp_solve linear program solver
Summary(pl):	Math::LP::Solve - interfejs perlowy do biblioteki lp_solve, rozwizujcej problemy liniowe
Name:		perl-Math-LP-Solve
Version:	3.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	358c56ca0d40a300cb5fd132c90fbd3e
Patch0:		%{name}-system-lpk.patch
Patch1:		%{name}-perl5.8.patch
# not ready for lp_solve 4.0
BuildRequires:	lp_solve3-devel >= 3.2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::LP::Solve is a wrapper around the freeware lp_solve library,
which solves linear and mixed linear/integer programs. Most functions
and data structures in the file lpkit.h of the lp_solve distribution
are made available in the Math::LP::Solve namespace.

%description -l pl
Math::LP::Solve to interfejs do darmowej biblioteki lp_solve,
rozwizujcej problemy programowania liniowego i mieszane liniowo-
cakowitoliczbowe. Wikszo funkcji i struktur danych z pliku lpkit.h
jest dostpna w przestrzeni nazw Math::LP::Solve.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Math/LP
%dir %{perl_vendorarch}/Math/LP/Solve.pm
%dir %{perl_vendorarch}/auto/Math/LP
%dir %{perl_vendorarch}/auto/Math/LP/Solve
%{perl_vendorarch}/auto/Math/LP/Solve/Solve.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/LP/Solve/Solve.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-LP-Solve.spec,v $
Revision 1.13  2004/05/06 18:20:40  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/23 07:50:18  ankry
- license fixes, unification

Revision 1.11  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.10  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.9  2003/08/18 08:09:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/01 13:41:46  qboosh
- it still needs lp_solve 3.2 - use lp_solve3.spec

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/19 23:12:19  qboosh
- added perl5.8 patch, require fixed lp_solve - now it's ready for perl 5.8

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:44  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/08 19:27:31  qboosh
- new

